Skip to main content
`Ctrl`+`K`

# numpy.char.partition

char.partition(a, sep)

  Partition each element in a around sep.

  Calls `str.partition` element-wise.

  For each element in a, split the element as the first occurrence of sep, and return 3 strings containing the part before the separator, the separator itself, and the part after the separator. If the separator is not found, return 3 strings containing the string itself, followed by two empty strings.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype

      Input array

    sep{str, unicode}

      Separator to split each string element in a.

  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types. The output array will have an extra dimension with 3 elements per input element.

  See also

  `str.partition`

  Examples

      >>> import numpy as np
      >>> x = np.array(["Numpy is nice!"])
      >>> np.char.partition(x, " ")
      array([['Numpy', ' ', 'is nice!']], dtype='<U8')